From 7a088b643821c572f1f40abfdfa3386d4568e51a Mon Sep 17 00:00:00 2001
Message-Id: <7a088b643821c572f1f40abfdfa3386d4568e51a.1734637687.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 19 Dec 2024 19:47:20 +0000
Subject: [PATCH] gnu: Add julia-timeroutputs.

* gnu/packages/julia-xyz.scm (julia-timeroutputs): New variable.

Change-Id: I2104014cb77156f5e178c5a34b6630508d7436af
---
 gnu/packages/julia-xyz.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index be2501a934..6deb214262 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -6622,6 +6622,27 @@ (define-public julia-testimages
 package.")
     (license license:expat)))
 
+(define-public julia-timeroutputs
+  (package
+    (name "julia-timeroutputs")
+    (version "0.5.26")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/KristofferC/TimerOutputs.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0mz5kpjz2mcmaywxjp1y87wx02lmvi2b0z012rnz70p1y39s5y0v"))))
+    (build-system julia-build-system)
+    (propagated-inputs (list julia-exprtools))
+    (home-page "https://github.com/KristofferC/TimerOutputs.jl")
+    (synopsis "Formatted output of timed sections in Julia")
+    (description "This package generates formatted output from timings made
+in different sections of a program.")
+    (license license:expat)))
+
 (define-public julia-tokenize
   (package
     (name "julia-tokenize")

base-commit: 07b4b1d055c36c6c61d39273c26974771dbfe805
-- 
2.34.1

